package org.semanticweb.owlapi.rio;

import java.util.Collections;
import java.util.Set;

import org.semanticweb.owlapi.formats.OWLOntologyFormatFactory;
import org.semanticweb.owlapi.formats.RioRDFOntologyFormatFactory;
import org.semanticweb.owlapi.io.OWLParser;
import org.semanticweb.owlapi.io.OWLParserFactory;
import org.semanticweb.owlapi.model.OWLOntologyManager;

public abstract class AbstractRioParserFactory implements OWLParserFactory
{
    
    public AbstractRioParserFactory()
    {
        super();
    }
    
    @Override
    public OWLParser createParser(final OWLOntologyManager owlOntologyManager)
    {
        return new RioParserImpl(this.getRioFormatFactory());
    }
    
    @Override
    public final Set<OWLOntologyFormatFactory> getSupportedFormats() {
        return Collections.<OWLOntologyFormatFactory>singleton(getRioFormatFactory());
    }
    
    public abstract RioRDFOntologyFormatFactory getRioFormatFactory();
    
}
